GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/mips-fbsd-nat.c File Reference
`#include "defs.h"`
`#include "inferior.h"`
`#include "regcache.h"`
`#include "target.h"`
`#include <sys/types.h>`
`#include <sys/ptrace.h>`
`#include <machine/reg.h>`
`#include "fbsd-nat.h"`
`#include "mips-tdep.h"`
`#include "mips-fbsd-tdep.h"`
`#include "inf-ptrace.h"`

Go to the source code of this file.

## Functions
static bool | getregs_supplies (struct gdbarch *gdbarch, int regnum)
static bool | getfpregs_supplies (struct gdbarch *gdbarch, int regnum)
static void | mips_fbsd_fetch_inferior_registers (struct target_ops *ops, struct regcache *regcache, int regnum)
static void | mips_fbsd_store_inferior_registers (struct target_ops *ops, struct regcache *regcache, int regnum)
void | _initialize_mips_fbsd_nat (void)

## Function Documentation

## ◆ _initialize_mips_fbsd_nat()

void _initialize_mips_fbsd_nat | ( | void |  | ) |

Definition at line 124 of file mips-fbsd-nat.c.

References fbsd_nat_add_target(), inf_ptrace_target(), mips_fbsd_fetch_inferior_registers(), mips_fbsd_store_inferior_registers(), target_ops::to_fetch_registers, and target_ops::to_store_registers.

## ◆ getfpregs_supplies()

static bool getfpregs_supplies | ( | struct gdbarch * | gdbarch,
|  | int | regnum
| ) |  |
| static

Definition at line 46 of file mips-fbsd-nat.c.

References regnum.

Referenced by mips_fbsd_fetch_inferior_registers(), and mips_fbsd_store_inferior_registers().

## ◆ getregs_supplies()

static bool getregs_supplies | ( | struct gdbarch * | gdbarch,
|  | int | regnum
| ) |  |
| static

Definition at line 37 of file mips-fbsd-nat.c.

References MIPS_ZERO_REGNUM, and regnum.

Referenced by mips_fbsd_fetch_inferior_registers(), and mips_fbsd_store_inferior_registers().

## ◆ mips_fbsd_fetch_inferior_registers()

static void mips_fbsd_fetch_inferior_registers | ( | struct target_ops * | ops,
|  | struct regcache * | regcache,
|  | int | regnum
| ) |  |
| static

Definition at line 56 of file mips-fbsd-nat.c.

References _, regcache::arch(), get_ptrace_pid(), getfpregs_supplies(), getregs_supplies(), mips_fbsd_supply_fpregs(), mips_fbsd_supply_gregs(), perror_with_name(), pid, ptrace(), PTRACE_TYPE_ARG3, regcache_get_ptid(), and regnum.

Referenced by _initialize_mips_fbsd_nat().

## ◆ mips_fbsd_store_inferior_registers()

static void mips_fbsd_store_inferior_registers | ( | struct target_ops * | ops,
|  | struct regcache * | regcache,
|  | int | regnum
| ) |  |
| static

Definition at line 88 of file mips-fbsd-nat.c.

References _, regcache::arch(), get_ptrace_pid(), getfpregs_supplies(), getregs_supplies(), mips_fbsd_collect_fpregs(), mips_fbsd_collect_gregs(), perror_with_name(), pid, ptrace(), PTRACE_TYPE_ARG3, regcache_get_ptid(), and regnum.

Referenced by _initialize_mips_fbsd_nat().